Print composer attributes from PostGis seems to slow down extremly the loading of project files
Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.4.3 Regression?: No

Operating System: macos / Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28727

Description

My projects take extremly long to get loaded (from 4-10 mins). Working on macOS (10.14.2 but even earlier releases chowed the same

behavior) with QGis 3.4.3, but on 2.18 I encounter the same probs. I could reproduce a similar behavior on Windows 10.  

Today I've tested a few things.

Without any declared printcomposition my project loads in 5-10 sec.

This stays the same as long as I don't add a table with attributes.

When I add an attributes table to the print composer which comes from a PostGis-Server (I apply a filterimg to them to reduce the amount

of datasets),

my whole project takes incredible long to get loaded (up to 10 mins).

Associated revisions

Revision e3c1d18f - 2019-01-04 10:31 PM - Nyall Dawson

[layouts] Fix inefficient filtering in attribute tables

Set the expression filter on the request itself, rather than looping

through all features and testing on the filter. This allows providers

to hand off the filtering to the underlying datasource, and utilise

indices/etc where available.

Fixes #20908

Revision cf410407 - 2019-01-07 12:32 AM - Nyall Dawson

[layouts] Fix inefficient filtering in attribute tables

Set the expression filter on the request itself, rather than looping

through all features and testing on the filter. This allows providers

to hand off the filtering to the underlying datasource, and utilise

indices/etc where available.

Fixes #20908

(cherry picked from commit e3c1d18f3aaaab04adfec1af58419eb0419fb004)

History

#1 - 2019-01-03 02:51 AM - Nyall Dawson
- Status changed from Open to Feedback

What filter are you using?

#2 - 2019-01-03 02:52 AM - Nyall Dawson

Actually ignore that - i can see the issue

#3 - 2019-01-03 02:52 AM - Nyall Dawson

- Status changed from Feedback to Open

#4 - 2019-01-03 03:50 AM - Nyall Dawson

- Status changed from Open to In Progress

#5 - 2019-01-04 10:30 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|e3c1d18f3aaaab04adfec1af58419eb0419fb004.
